Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 474462 - autocompletion popup make application looses focus
autocompletion popup make application looses focus
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qscintilla (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-03 17:16 EST by Nicoleau Fabien
Modified: 2009-12-18 02:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:07:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicoleau Fabien 2008-12-03 17:16:47 EST
Description of problem:
When autocompletion popup appears, the application looses focus. So I can't type anything, select an item, or use escape key to hide the completion popup. I must use the mouse to give focus to the application, to have a normal situation.

Version-Release number of selected component (if applicable):
2.3.1 and 2.3.2 (from rawhide)

How reproducible :

Steps to Reproduce:
1. Install qscintilla-devel via yum
2. In an empty folder, write this code in a file called main.cpp :
#include <QApplication>
#include <Qsci/qsciscintilla.h>
#include <Qsci/qscilexercpp.h>
#include <Qsci/qsciapis.h>

int main(int argc, char* argv[])
{
    QApplication app(argc, argv);
    QsciScintilla *scintilla = new QsciScintilla;
    QsciLexerCPP *lexerCPP = new QsciLexerCPP;
    scintilla->setAutoCompletionThreshold(2);
    scintilla->setAutoCompletionSource(QsciScintilla::AcsAPIs);
    QsciAPIs apis(lexerCPP);
    apis.add("test");
    apis.add("test123");
    apis.add("foobar");
    apis.add("foobar2");
    apis.prepare();
    lexerCPP->setAPIs(&apis);
    scintilla->setLexer(lexerCPP);
    scintilla->show();
    return app.exec();
}

3. In a console, in the folder created (where main.cpp is now created), type :
qmake-qt4 -project
4. Edit project file (.pro) to add this line :
LIBS += -lqscintilla2
5. type : 
qmake-qt4
make
6. launch the executable file created.
7. In the application , type "fo". A popup will appear.
  
Actual results:
When popup appears, application looses focus. It's impossible to select an item with the keyboard in the popup. It's also impossible to hide the popup with escape key, or to continue typing. You must use the mouse, to select an item, or click in blank text to hide the popup.


Expected results:
You should be able to select an item with keyboard, or hide the popup with espace key, or continue typing. The application should not loose focus

Additional info:
Tried qscintilla-devel 2.3.1 and 2.3.2
Using qt-4.4.3-6.fc10.i386
Using Gnome 2.24.1
Comment 1 Nicoleau Fabien 2008-12-05 14:19:03 EST
I've reported this bug to upstream mailing list.
Comment 2 Rex Dieter 2008-12-05 14:23:40 EST
Thanks, found it:
http://www.riverbankcomputing.com/pipermail/qscintilla/2008-December/000427.html

I don't follow that list closely, let us know if there's any news or movement there.
Comment 3 Nicoleau Fabien 2008-12-30 15:07:09 EST
Update, just to give some news :
bug does not appear under KDE and XFCE. Bug appears under Gnome, and also under fluxbox. 
This bug has already been reported to upstream before, don't know if it's "on work".
Comment 4 Bug Zapper 2009-11-18 05:18:29 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Nicoleau Fabien 2009-12-14 17:30:52 EST
It seems that a fix has been commited :
http://www.riverbankcomputing.co.uk/static/Downloads/QScintilla2/ChangeLog-2.4.1-snapshot-20091211

2009/11/01 17:03:09  phil
Applied the workaround for the autocomplete focus bug under Gnome's window
manager which (appears) to work with current versions of Qt across all
platforms.
Comment 6 Bug Zapper 2009-12-18 02:07:56 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.